#ifndef APP_SENSORS_IMPL_H
#define APP_SENSORS_IMPL_H

/* HAL Drivers */
#include "stm32wlxx_hal.h"

/* Sensors */
#include "imsensors/common/sensors_common.h"

typedef struct {
    I2C_HandleTypeDef *hi2c;
    uint8_t            dev_addr;
} app_sensors_impl_t;

ims_ret_t app_sensors_i2c_xfer(void *pdev, ims_i2c_xfer_desc_t *xfer);
ims_ret_t app_sensors_delay(void *pdev, uint32_t delay_msec);

#endif  // APP_SENSORS_IMPL_H
