#ifndef VL53L1_PLATFORM_USER_CONFIG_H
#define VL53L1_PLATFORM_USER_CONFIG_H

#define VL53L1_TUNINGPARM_PUBLIC_PAGE_BASE_ADDRESS 0x8000

/* Offset Calibration */
#define VL53L1_OFFSET_CAL_MAX_PRE_PEAK_RATE_MCPS 0x1900
#define VL53L1_OFFSET_CAL_MAX_SIGMA_MM           0x0040
#define VL53L1_OFFSET_CAL_MIN_EFFECTIVE_SPADS    0x0500

/* Timeouts */
#define VL53L1_BOOT_COMPLETION_POLLING_TIMEOUT_MS  500
#define VL53L1_POLLING_DELAY_MS                    1
#define VL53L1_RANGE_COMPLETION_POLLING_TIMEOUT_MS 2000
#define VL53L1_TEST_COMPLETION_POLLING_TIMEOUT_MS  60000

#define VL53L1_MAX_STRING_LENGTH 512

#endif  // VL53L1_PLATFORM_USER_CONFIG_H
