#include "stm32wlxx_hal.h"

int _write(int file, char *ptr, int len) {
    for (int i = 0; i < len; i++) {
        ITM_SendChar(ptr[i]);
    }

    /* ITM and port 0 is enabled*/
    if (((ITM->TCR & ITM_TCR_ITMENA_Msk) != 0UL) && ((ITM->TER & 1UL) != 0UL)) {
        while (ITM->TCR & ITM_TCR_BUSY_Msk) {
            /* Wait for ITM not busy (all data sent) */
        }
    }

    return len;
}