#ifndef APP_RANGING_IMPL_H
#define APP_RANGING_IMPL_H

/* HAL Drivers */
#include "stm32wlxx_hal.h"

/* Ranging sensor */
#include "vl53l1_platform.h"

typedef struct {
    I2C_HandleTypeDef *hi2c;
    uint8_t            dev_addr;
} app_ranging_impl_t;

VL53L1_Error app_ranging_delay_us(void *pdev, uint32_t delay_usec);
VL53L1_Error app_ranging_delay_ms(void *pdev, uint32_t delay_msec);
VL53L1_Error app_ranging_i2c_xfer(void *pdev, VL53L1_Dev_Xfer_Desc_t *xfer);

#endif  // APP_RANGING_IMPL_H
